tvbrowser.core.filters

## Class Token

- java.lang.Object
- - tvbrowser.core.filters.Token

-      class Token
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `AND`
    `(package private) static int` | `ITEM`
    `(package private) static int` | `LEFT_BRACKET`
    `(package private) static int` | `NOT`
    `(package private) static int` | `OR`
    `int` | `pos`
    `(package private) static int` | `RIGHT_BRACKET`
    `int` | `type`
    `java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OR

          static final int OR

      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      See Also:
        Constant Field Values

    - #### ITEM

          static final int ITEM

      See Also:
        Constant Field Values

    - #### LEFT_BRACKET

          static final int LEFT_BRACKET

      See Also:
        Constant Field Values

    - #### RIGHT_BRACKET

          static final int RIGHT_BRACKET

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### value

          public java.lang.String value

    - #### pos

          public int pos

  - ### Constructor Detail

    - #### Token

          public Token()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)